io.netty.handler.codec.mqtt

## Class MqttSubscriptionOption

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttSubscriptionOption

    public final class MqttSubscriptionOption
    extends Object

Model the SubscriptionOption used in Subscribe MQTT v5 packet

### Nested Class Summary

Nested Classes
`static class` `MqttSubscriptionOption.RetainedHandlingPolicy`

### Constructor Summary

Constructors
Constructor and Description
`MqttSubscriptionOption(MqttQoS qos, boolean noLocal, boolean retainAsPublished, MqttSubscriptionOption.RetainedHandlingPolicy retainHandling)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `isNoLocal()`
`boolean` `isRetainAsPublished()`
`static MqttSubscriptionOption` `onlyFromQos(MqttQoS qos)`
`MqttQoS` `qos()`
`MqttSubscriptionOption.RetainedHandlingPolicy` `retainHandling()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttSubscriptionOption

    public MqttSubscriptionOption(MqttQoS qos,
                                  boolean noLocal,
                                  boolean retainAsPublished,
                                  MqttSubscriptionOption.RetainedHandlingPolicy retainHandling)

### Method Detail

#### onlyFromQos

    public static MqttSubscriptionOption onlyFromQos(MqttQoS qos)

#### qos

    public MqttQoS qos()

#### isNoLocal

    public boolean isNoLocal()

#### isRetainAsPublished

    public boolean isRetainAsPublished()

#### retainHandling

    public MqttSubscriptionOption.RetainedHandlingPolicy retainHandling()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`